package controller

import (
	"git.vinchent.xyz/vinchent/howmuch/internal/pkg/log"
	"github.com/gin-gonic/gin"
)

type Session interface {
	Create(*gin.Context)
}

type SessionController struct{}

func NewSessionController() Session {
	return &SessionController{}
}

func (sc *SessionController) Create(ctx *gin.Context) {
	log.CtxLog(ctx).DebugLog("session create")
}
